/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { FinancialSeriesDescription } from "./FinancialSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let FinancialIndicatorDescription = /*@__PURE__*/ (() => {
    class FinancialIndicatorDescription extends FinancialSeriesDescription {
        get_type() {
            return "FinancialIndicator";
        }
        constructor() {
            super();
            this.fg = null;
            this.fb = 0;
            this.fi = null;
            this.fh = null;
            this.ff = null;
            this.e9 = 0;
            this.e7 = null;
            this.fc = 0;
        }
        get displayType() {
            return this.fg;
        }
        set displayType(a) {
            this.fg = a;
            this.g("DisplayType");
        }
        get ignoreFirst() {
            return this.fb;
        }
        set ignoreFirst(a) {
            this.fb = a;
            this.g("IgnoreFirst");
        }
        get trendLineType() {
            return this.fi;
        }
        set trendLineType(a) {
            this.fi = a;
            this.g("TrendLineType");
        }
        get trendLineBrush() {
            return this.fh;
        }
        set trendLineBrush(a) {
            this.fh = a;
            this.g("TrendLineBrush");
        }
        get actualTrendLineBrush() {
            return this.ff;
        }
        set actualTrendLineBrush(a) {
            this.ff = a;
            this.g("ActualTrendLineBrush");
        }
        get trendLineThickness() {
            return this.e9;
        }
        set trendLineThickness(a) {
            this.e9 = a;
            this.g("TrendLineThickness");
        }
        get trendLineDashArray() {
            return this.e7;
        }
        set trendLineDashArray(a) {
            this.e7 = a;
            this.g("TrendLineDashArray");
        }
        get trendLinePeriod() {
            return this.fc;
        }
        set trendLinePeriod(a) {
            this.fc = a;
            this.g("TrendLinePeriod");
        }
    }
    FinancialIndicatorDescription.$t = /*@__PURE__*/ markType(FinancialIndicatorDescription, 'FinancialIndicatorDescription', FinancialSeriesDescription.$);
    return FinancialIndicatorDescription;
})();
